Install error on Raspberry Pi4

65 views
Skip to first unread message

Brad Bowers

unread,
Dec 19, 2021, 4:21:56 PM12/19/21
to goestools-users
What am I missing here? I did the same build I always do with these, all of a sudden I get this error on the cmake. Opencv is installed... if it needs something else it seems the install dependencies are incorrect.

-- Checking for module 'librtlsdr'
--   Found librtlsdr, version 0.6.0-32-gd770
-- Checking for module 'opencv'
--   No package 'opencv' found
CMake Error at /usr/share/cmake-3.18/Modules/FindPkgConfig.cmake:545 (message):
  A required package was not found
Call Stack (most recent call first):
  /usr/share/cmake-3.18/Modules/FindPkgConfig.cmake:733 (_pkg_check_modules_internal)
  src/goesproc/CMakeLists.txt:23 (pkg_check_modules)


-- Configuring incomplete, errors occurred!
See also "/home/pi/goestools/build/CMakeFiles/CMakeOutput.log".
See also "/home/pi/goestools/build/CMakeFiles/CMakeError.log".


:~/goestools/build $ sudo apt-get install libopencv-dev
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
libopencv-dev is already the newest version (4.5.1+dfsg-5).
0 upgraded, 0 newly installed, 0 to remove and 7 not upgraded.

Brad Bowers

unread,
Dec 22, 2021, 9:55:41 PM12/22/21
to goestools-users
Worked on this more tonight. Apparently it's a version issue with either the latest and greatest install of Raspbian on a Pi4 or whatever software comes with that. I wiped the sd card and installed Raspbian based on Debian 10 and it's fine now. Compiles and installs fine in 10.11 and below, but not on Debian 11... just an FYI.

Pieter Noordhuis

unread,
Mar 15, 2022, 4:27:14 PM3/15/22
to goestoo...@googlegroups.com
Hey Brad,

I worked on this a bit in February and it should work with OpenCV version 4 if you update the repository to the latest version.

Pieter

--
You received this message because you are subscribed to the Google Groups "goestools-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to goestools-use...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/goestools-users/28a5ad9c-190a-4fbf-828b-e4fcb793885en%40googlegroups.com.
Reply all
Reply to author
Forward
0 new messages